{% extends 'backend_base.html.twig' %}

{% block title %}Order index{% endblock %}

{% block body %}
    <h1>Order index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Quantity</th>
                <th>Address</th>
                <th>OrderCode</th>
                <th>ShippingDate</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for order in orders %}
            <tr>
                <td>{{ order.id }}</td>
                <td>{{ order.quantity }}</td>
                <td>{{ order.address }}</td>
                <td>{{ order.orderCode }}</td>
                <td>{{ order.shippingDate ? order.shippingDate|date('Y-m-d') : '' }}</td>
                <td>
                    <a href="{{ path('order_show', {'id': order.id}) }}">show</a>
                    <a href="{{ path('order_edit', {'id': order.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('order_new') }}">Create new</a>
{% endblock %}
